# $Revision: 1.43 $, $Date: 2007/01/26 17:16:07 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	LibTorrent - a BitTorrent library written in C++ for Unix
Summary(pl):	LibTorrent - biblioteka BitTorrenta napisana w C++ dla Uniksa
Name:		libtorrent
Version:	0.11.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	e31a3738b897c9affae6e4893aaa1f0d
Patch0:		%{name}-client_list.patch
URL:		http://libtorrent.rakshasa.no/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a
focus on high performance and good code. The library differentiates
itself from other implementations by transfering directly from file
pages to the network stack. On high-bandwidth connections it is able
to seed at 3 times the speed of the official client.

%description -l pl
LibTorrent to biblioteka BitTorrenta napisana w C++ dla Uniksa. Jest
zaprojektowana aby unikn nadmiarowego kopiowania buforw i danych,
bdcego wad wikszoci (wszystkich?) innych implementacji
BitTorrenta. Biblioteka jest jednowtkowa, klient obsuguje ptl
select.

%package devel
Summary:	Development files for libtorrent
Summary(pl):	Pliki programistyczne libtorrent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsigc++-devel >= 2.0
Requires:	openssl-devel >= 0.9.7d

%description devel
Development files for libtorrent.

%description devel -l pl
Pliki programistyczne libtorrent.

%package static
Summary:	Static libtorrent library
Summary(pl):	Statyczna biblioteka libtorrent
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtorrent library.

%description static -l pl
Statyczna biblioteka libtorrent.

%prep
%setup -q
%patch0 -p1

# from libtool 1.9f, autoconf 2.60 can't stand it (endless recursion)
rm -f scripts/{libtool,lt*}.m4

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--%{?debug:en}%{!?debug:dis}able-debug \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libtorrent.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtorrent.so
%{_libdir}/libtorrent.la
%{_includedir}/torrent
%{_pkgconfigdir}/libtorrent.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtorrent.spec,v $
Revision 1.43  2007/01/26 17:16:07  charles
- updated to 0.11.2

Revision 1.42  2007/01/20 18:55:15  charles
- updated -client_list.patch
- rel. 2

Revision 1.41  2007/01/07 06:44:51  charles
- updated to 0.11.1

Revision 1.40  2006/12/14 09:30:25  charles
- updated to 0.11.0
- added -client_list.patch

Revision 1.39  2006/10/29 21:40:04  glen
- update description from homepage

Revision 1.38  2006/10/29 04:12:25  charles
- updated to 0.10.4

Revision 1.37  2006/10/24 13:51:41  charles
- removed outdated -inttypes.patch

Revision 1.36  2006/10/06 19:37:55  charles
- updated to 0.10.3

Revision 1.35  2006/09/14 15:42:55  charles
- updated to 0.10.2

Revision 1.34  2006/08/21 12:54:27  charles
- updated to 0.10.1 (new API, new soname)
- rm outdated -static_libs.patch

Revision 1.33  2006/08/09 11:33:38  arekm
- rel 3

Revision 1.32  2006/07/20 06:33:41  qboosh
- full ac/am/lt rebuild, now builds with autoconf 2.60

Revision 1.31  2006/07/13 15:02:51  pluto
- don't turn off -static. fix build!
- release 2.

Revision 1.30  2006/07/12 08:48:35  charles
- build doesn't produce libtorrent.a (temporary turn off package -static)

Revision 1.29  2006/07/10 16:02:30  charles
- updated to 0.10.0

Revision 1.28  2006/05/23 13:34:59  charles
- updated to 0.9.3

Revision 1.27  2006/05/20 10:00:57  charles
- updated to 0.9.2

Revision 1.26  2006/05/06 01:22:17  charles
- updated to 0.9.1

Revision 1.25  2006/04/07 11:49:54  charles
- updated to 0.9.0

Revision 1.24  2006/03/31 23:08:00  charles
- fixed build on amd64

Revision 1.23  2006/02/17 15:14:52  charles
- oops, rm BR xfsprogs-devel - not yet

Revision 1.22  2006/02/17 15:05:03  charles
- updated to 0.8.5
- build without ac/am/lt, updated BRs

Revision 1.21  2006/02/07 13:01:26  charles
- updated to 0.8.4

Revision 1.20  2006/01/19 20:40:47  charles
- updated to 0.8.3

Revision 1.19  2006/01/10 12:17:03  charles
- updated to 0.8.2

Revision 1.18  2005/12/21 03:48:44  charles
- updated to 0.8.1

Revision 1.17  2005/11/22 02:36:51  charles
- updated to 0.8.0
- added static_libs bcond

Revision 1.16  2005/10/20 00:07:25  charles
- updated to 0.7.6

Revision 1.15  2005/09/29 00:30:11  charles
- updated to 0.7.5
- removed -throttle2.patch (changes already applied)

Revision 1.14  2005/09/26 13:07:59  charles
- added -throttle2.patch
  fixed "less-than zero quota" exception from PeerConnectionBase::down_chunk
- rel. 2

Revision 1.13  2005/09/18 16:12:45  charles
- updated to 0.7.4

Revision 1.12  2005/09/02 23:22:27  charles
- updated to 0.7.3, note: changed API

Revision 1.11  2005/08/16 21:29:02  charles
- updated to 0.7.2

Revision 1.10  2005/08/13 23:35:52  charles
- updated to 0.7.1
- removed -tracker.patch (already applied)
- removed BR libstdc++-devel (req. by libsigc++-devel)

Revision 1.9  2005/07/27 14:35:16  charles
- added -tracker.patch

Revision 1.8  2005/07/19 23:00:46  charles
- updated to 0.7.0 (added support for UDP trackers)

Revision 1.7  2005/07/16 12:21:48  qboosh
- -devel R: openssl-devel

Revision 1.6  2005/07/15 13:54:17  charles
- BR: openssl-devel

Revision 1.5  2005/07/15 09:27:10  kosmo
- updated to 0.6.7

Revision 1.4  2005/06/27 10:32:32  charles
- updated to 0.6.6

Revision 1.3  2005/06/18 09:35:27  charles
- ac/am regenerated
- rel. 1

Revision 1.2  2005/06/17 21:07:47  qboosh
- pl

Revision 1.1  2005/06/16 12:05:14  charles
- new
